#include<bits/stdc++.h>
using namespace std;
int main(){
	int m;
	cin>>m;
	vector<int>x(m);
	vector<int>y(m);
	for(int i=0; i<m; i++){
		cin>>x[i]>>y[i];
	}
	for(int i=0; i<m; i++){
		cout<<0<<"\n";
	}
}